FROM python:3.10.0

WORKDIR /usr/src/app

COPY requirements.txt ./
# OS requirements for building wheel and for operating uncloud
RUN apt-get update && apt-get install -y --no-install-recommends  \
    git \
    libldap-dev \
    libxml2-dev \
    libxslt-dev \
    libpq-dev \
    libsasl2-dev \
    wireguard-tools
RUN pip install --no-cache-dir -r requirements.txt

COPY . .
